Skip to main content
POST
/
v1
/
users
/
{user_id}
/
browser
/
signup
Autonomous signup
curl --request POST \
  --url https://api.usenaive.ai/v1/users/{user_id}/browser/signup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "service": "<string>",
  "url": "<string>",
  "allowed_domains": [
    "<string>"
  ],
  "timeout_minutes": 123
}
'
{}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Path Parameters

user_id
string
required

Tenant user UUID, or default / me for the operator's default user.

Body

application/json
service
string
required
url
string
required
allowed_domains
string[]
timeout_minutes
number

Response

Completed.

The response is of type object.